summarylogtreecommitdiffstats
path: root/hwd
diff options
context:
space:
mode:
authorBrian Bidulock2014-07-23 04:17:36 -0600
committerBrian Bidulock2015-06-10 07:01:08 -0600
commit75a58c1883bd3eeb8dfb62f0b28573acf6a072ab (patch)
tree1ca09cb9da09a5064f5a14b2114bee06ddbafc93 /hwd
parentcf275f859d71739cfd7fc88f45e521104a25e884 (diff)
downloadaur-75a58c1883bd3eeb8dfb62f0b28573acf6a072ab.tar.gz
version 1.1.3-7
Diffstat (limited to 'hwd')
-rw-r--r--hwd27
1 files changed, 27 insertions, 0 deletions
diff --git a/hwd b/hwd
new file mode 100644
index 000000000000..2e47572b7da5
--- /dev/null
+++ b/hwd
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Autodetecting Hardware with lshwd"
+ lshwd -a >/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ fi
+ ;;
+ stop)
+ /bin/true
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+ ;;
+esac